﻿using ERP.Core.Entity;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Configuration;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ERP.Core.Context
{
    public class CoreDbContext : DbContext
    {
        private readonly IConfiguration _configuration;

        public CoreDbContext(IConfiguration configuration)
        {
            this._configuration = configuration;
        }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            // 可扩展为多租户,从当前请求头拿租户Id,根据租户Id获取对应数据库配置名,替换
            string connect = _configuration.GetConnectionString(GetType().Name)!;

            optionsBuilder.UseMySql(connect,new MySqlServerVersion(new Version(8,0,26)));
            base.OnConfiguring(optionsBuilder);
        }

        /// <summary>
        /// 配置模型关系
        /// </summary>
        /// <param name="modelBuilder"></param>
        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {

        }

        public virtual DbSet<SysUser> SysUsers { get; set; }


    }
}
